# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	NextCloud (CMS)
Name:		nextcloud
Version:	21.0.2
Release:	%mkrel 1
License:	AGPLv3
Group:		System/Servers
URL:		http://download.nextcloud.com/
BuildRequires:	apache >= 2.4
BuildRequires:	file
BuildRequires:	unzip
Requires: task-lamp
Requires: php-curl
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Obsoletes: owncloud
Provides: owncloud = %version-%release

%description
NextCloud gives you universal access to your files through a web interface or WebDAV. It 
also provides a platform to easily view & sync your contacts, calendars and bookmarks 
across all your devices and enables basic editing right on the web.

http://localhost/nextcloud/

%prep

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_var}/www/html/%{name}
mkdir -p %{buildroot}/%{_var}/www/data

#go get it
pushd %{_sourcedir}
wget -nc https://download.nextcloud.com/server/releases/%{name}-%{version}.tar.bz2
tar xf %{name}-%{version}.tar.bz2 -C %{buildroot}/var/www/html
popd


%post
%_post_webapp
if [ -e /var/www/html/%{name}/index.html ]; then 
	rm -f /var/www/html/%{name}/index.html 
fi

# start the webserver if it is not running
STATUS=$(/etc/init.d/httpd status)
if [ $(echo "$STATUS" | grep -c "httpd is stopped") -gt 0 ]; then
	echo "Starting apache webserver"
	/etc/init.d/httpd start
fi


%postun
%_postun_webapp

%posttrans
chown -R apache:apache %{_var}/www/html/%{name}


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%dir %attr(0755,apache,apache) %{_var}/www/html/%{name}
%dir %attr(0755,apache,apache) %{_var}/www/data
%{_var}/www/html/%{name}

%changelog
* Mon Jun 28 2021 tex - 21.0.2-1pclos2021
- new version

* Thu May 20 2021 tex - 20.0.10-1pclos2021
- new version

* Sat Mar 14 2020 tex - 18.0.2-1pclos2020
- new version

* Wed Feb 19 2020 tex - 18.0.1-1pclos2020
- new version

* Sat Jan 18 2020 tex - 18.0.0-1pclos2020
- new version

* Tue Dec 31 2019 tex - 17.0.2-1pclos2020
- new version

* Tue Nov 12 2019 tex - 17.0.1-1pclos2019
- new version

* Tue Oct 08 2019 tex - 17.0.0-1pclos2019
- new version

* Sat Aug 31 2019 tex 16.0.4-1pclos2019
- new
